<?php
/**
 * A Networkable interface
 *
 * @author		Roland Haeder <webmaster@shipsimu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 - 2015 Hub Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.shipsimu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
interface Networkable extends HandleableDataSet {
	/**
	 * Processes raw data from given resource. This is mostly useful for TCP
	 * package handling and is implemented in the TcpListener class
	 *
	 * @param	$resourceArray	A valid socket resource array
	 * @return	void
	 * @throws	InvalidResourceException	If the given resource is invalid
	 */
	function processRawDataFromResource (array $resourceArray);

	/**
	 * Checks whether decoded data is pending for further processing.
	 *
	 * @return	$isPending	Whether decoded data is pending
	 */
	function isRawDataPending ();

	/**
	 * "Getter" for next decoded data from the stacker
	 *
	 * @return	$decodedData	Raw data from the stacker
	 */
	function getNextRawData ();
}

// [EOF]
?>
